<?php

use App\Role;
use App\User;
if (!function_exists("createRoles")){
	function createRoles($with_admin="yes"){
		if (count(Role::all()) < 1){
			$user = new Role();
			$user->name = "user";
			$user->display_name = "Patient";
			$user->description = "End user (patient) who comes to buy drugs";
			$user->save();

			$pharm = new Role();
			$pharm->name = 'pharmacy';
			$pharm->display_name = "Pharmacy";
			$pharm->description = "Pharmacy manages orders and stocks";
			$pharm->save();

			$admin = new Role();
			$admin->name = "admin";
			$admin->display_name = "Administrator";
			$admin->description = "Admin is allowed to manage and edit other users";
			$admin->save();

			if ($with_admin === "yes"){
				$dummy = User::create(['name' => 'admin', 'email' => 'admin@drugstoreng.com',
					'password' => bcrypt('drugstorepass')]);
			}	$dummy->attachRole($admin);
		}

	}
}
