<?php

namespace App\Http\ViewComposers;

use App\User;
use Illuminate\View\View;

class PharmacyComposer{

	protected $user;
	public function __construct(){
		$this->user = User::find(auth()->id());
	}
	public function compose(View $view){
		$company = $this->user->company;

		$view->with('company', $company);
	}
}